## devscripts 2.11.0

=== scripts/Makefile ===

include ../Makefile.common
DESTDIR =

define \n


endef

VERSION_FILE = ../version
VERSION := $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
LIBS = libvfork.so.0
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
COMPLETION = $(patsubst %.bash_completion,devscripts.%,$(COMPL_FILES))

GEN_MAN1S += devscripts.1

BINDIR = /usr/bin
LIBDIR = /usr/lib/devscripts
BIN_LIBDIR = /usr/lib/devscripts

all: $(SCRIPTS) $(GEN_MAN1S) $(LIBS) $(CWRAPPERS) $(COMPLETION)

$(VERSION_FILE):
	@echo "You need to 'make' the toplevel directory first"
	@false

%: %.sh

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	bash -n $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	perl -I.. -c $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

# There is a slight chance this gets called twice, once here from here and once
# from ../po4a/Makefile. Treat files with care.
PID := $(shell echo $$$$-$$PPID)
devscripts.1: devscripts.1.in
	cat $+ > $@.$(PID)
	perl ../debian/genmanpage.pl >> $@.$(PID)
	mv $@.$(PID) $@

devscripts.%: %.bash_completion
	cp $< $@

libvfork.o: libvfork.c
	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<
libvfork.so.0: libvfork.o
	$(CC) -shared $< -lc -Wl,-soname -Wl,libvfork.so.0 -o $@

clean:
	python setup.py clean -a
	find -name '*.pyc' -delete
	rm -rf devscripts.egg-info
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS) \
		libvfork.o libvfork.so.0 $(COMPLETION)

test:
	$(foreach python,$(shell pyversions -r ../debian/control),$(python) setup.py test$(\n))

install: all
	python setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	install -dD $(DESTDIR)$(BINDIR) $(DESTDIR)$(LIBDIR)
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch
	cp $(LIBS) $(DESTDIR)$(LIBDIR)
	install -dD $(DESTDIR)/etc/bash_completion.d
	cp $(COMPLETION) $(DESTDIR)/etc/bash_completion.d
	# Special treatment for debpkg
	install -dD $(DESTDIR)$(PERLMOD_DIR)
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(PERLMOD_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg

.PHONY: test

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
Uploaders: Julian Gilbey <jdg@debian.org>,
           Joey Hess <joeyh@debian.org>,
           Mohammed Adnène Trojette <adn+deb@diwi.org>,
           Christoph Berg <myon@debian.org>,
           Stefano Zacchiroli <zack@debian.org>,
           James Vega <jamessan@debian.org>,
           Martin Zobel-Helas <zobel@debian.org>,
           Adam D. Barratt <adam@adam-barratt.org.uk>,
           Luk Claes <luk@debian.org>,
           Patrick Schoenfeld <schoenfeld@debian.org>,
           Ryan Niebur <ryanryan52@gmail.com>,
           Benjamin Drung <bdrung@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8),
               docbook-xsl,
               libfile-desktopentry-perl,
               libjson-perl,
               libterm-size-perl,
               libtimedate-perl,
               liburi-perl,
               libwww-perl,
               perl,
               po4a (>= 0.40),
               pylint,
               python-all,
               python-debian (>= 0.1.15),
               python-magic,
               python-setuptools,
               python-unittest2,
               xsltproc
X-Python-Version: >= 2.6
Vcs-Browser: http://git.debian.org/?p=devscripts/devscripts.git
Vcs-Git: git://git.debian.org/devscripts/devscripts.git

Package: devscripts
Architecture: any
Depends: dpkg-dev (>= 1.15.4.1),
         ${misc:Depends},
         ${perl:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: at,
            curl | wget,
            dctrl-tools,
            debian-keyring,
            debian-maintainers,
            dput | dupload,
            equivs,
            fakeroot,
            gnupg,
            libcrypt-ssleay-perl,
            libjson-perl,
            libparse-debcontrol-perl,
            libsoap-lite-perl,
            liburi-perl,
            libwww-perl,
            lintian,
            man-db,
            patch,
            patchutils,
            python-debian (>= 0.1.15),
            python-magic,
            sensible-utils,
            strace,
            unzip,
            wdiff,
            xz-utils
Suggests: bsd-mailx | mailx,
          build-essential,
          cvs-buildpackage,
          devscripts-el,
          gnuplot,
          libauthen-sasl-perl,
          libfile-desktopentry-perl,
          libnet-smtp-ssl-perl,
          libterm-size-perl,
          libtimedate-perl,
          libyaml-syck-perl,
          mutt,
          ssh-client,
          svn-buildpackage,
          w3m
Breaks: ubuntu-dev-tools (<< 0.124~)
Replaces: ubuntu-dev-tools (<< 0.124~)
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, libwww-perl,
    bsd-mailx | mailx]
  - build-rdeps: Searches for all packages that build-depend on a
    given package [dctrl-tools]
  - chdist: tool to easily play with several distributions [dctrl-tools]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific contructs
  - cowpoke: upload a Debian source package to a cowbuilder host and build it,
    optionally also signing and uploading the result to an incoming queue
    [ssh-client]
  - cvs-debi, cvs-debc: wrappers around debi and debc respectively (see below)
    which allow them to be called from the CVS working directory.
    [cvs-buildpackage]
  - cvs-debrelease: wrapper around debrelease which allows it to be called
    from the CVS working directory. [cvs-buildpackage, dupload | dput,
    ssh-client]
  - cvs-debuild: A wrapper for cvs-buildpackage to use debuild as its package
    building program. [cvs-buildpackage, fakeroot, lintian, gnupg]
  - dcmd: run a given command replacing the name of a .changes or .dsc file
    with each of the files referenced therein
  - dcontrol: remotely query package and source control files for all Debian
    distributions. [liburl-perl, libwww-perl]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files
    [libparse-debcontrol-perl, libsoap-lite-perl]
  - debcheckout: checkout the development repository of a Debian package
  - debclean: purge a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs, darcs, svn, svk, tla, bzr, git, or hg,
    basing commit message on changelog
    [cvs | darcs | subversion | svk | tla | bzr | git-core | mercurial]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg,
    debian-keyring, ssh-client]
  - debsnap: grab packages from http://snapshot.debian.org [libwww-perl,
    libjson-perl]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot,
    lintian, gnupg]
  - deb-reversion: increases a binary package version number and repacks the
    archive
  - desktop2menu: produce a skeleton menu file from a freedesktop.org
    desktop file [libfile-desktopentry-perl]
  - dget: downloads Debian source and binary packages [wget | curl]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - diff2patches: extract patches from a .diff.gz file placing them  under
    debian/ or, if present, debian/patches [patchutils]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - edit-patch: add/edit a patch for a source package and commit the changes
    [quilt | dpatch | cdbs]
  - getbuildlog: download package build logs from Debian auto-builders [wget]
  - grep-excuses: grep the update_excuses.html file for your packages
    [libterm-size-perl, wget, w3m]
  - licensecheck: attempt to determine the license of source files
  - list-unreleased: searches for unreleased packages
  - manpage-alert: locate binaries without corresponding manpages [man-db]
  - mass-bug: mass-file bug reports [bsd-mailx | mailx]
  - mergechanges: merge .changes files from a package built on different
    architectures
  - mk-build-deps: Given a package name and/or control file, generate a binary
    package which may be installed to satisfy the build-dependencies of the
    given packages. [equivs]
  - namecheck: Check project names are not already taken.
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [bsd-mailx | mailx, at]
  - rc-alert: list installed packages which have release-critical bugs [wget]
  - rmadison: remotely query the Debian archive database about packages
    [wget | curl, liburi-perl]
  - suspicious-source: outputs a list of files which are not common source
    files [python-magic].
  - svnpath: print svn repository paths [subversion]
  - tagpending: runs from a Debian source tree and tags bugs that are to
    be closed in the latest changelog as pending. [libsoap-lite-perl]
  - transition-check: Check a list of source packages for involvement in
    transitions for which uploads to unstable are currently blocked
    [libwww-perl, libyaml-syck-perl]
  - uscan: scan upstream sites for new releases of packages
    [libcrypt-ssleay-perl, libwww-perl, unzip, xz-utils]
  - uupdate: integrate upstream changes into a source package [patch]
  - what-patch: determines what patch system, if any, a source package is using
    [patchutils]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads: determine the most recent uploaders of a package to the Debian
    archive [gnupg, debian-keyring, debian-maintainers, wget]
  - wnpp-alert: list installed packages which are orphaned or up for
    adoption [wget]
  - wnpp-check: check whether there is an open request for packaging or
    intention to package bug for a package [wget]
  - wrap-and-sort: wrap long lines and sort items in packaging files
    [python-debian]
 .
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

## devscripts 2.11.1

=== debian/control ===
--- 
+++ 
@@ -150,6 +150,7 @@
     control field needed [build-essential, strace]
   - diff2patches: extract patches from a .diff.gz file placing them  under
     debian/ or, if present, debian/patches [patchutils]
+  - dscextract: extract a single file from a Debian source package [patchutils]
   - dscverify: verify the integrity of a Debian package from the
     .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
   - edit-patch: add/edit a patch for a source package and commit the changes
@@ -176,8 +177,8 @@
   - rc-alert: list installed packages which have release-critical bugs [wget]
   - rmadison: remotely query the Debian archive database about packages
     [wget | curl, liburi-perl]
-  - suspicious-source: outputs a list of files which are not common source
-    files [python-magic].
+  - suspicious-source: output a list of files which are not common source
+    files [python-magic]
   - svnpath: print svn repository paths [subversion]
   - tagpending: runs from a Debian source tree and tags bugs that are to
     be closed in the latest changelog as pending. [libsoap-lite-perl]
@@ -187,7 +188,7 @@
   - uscan: scan upstream sites for new releases of packages
     [libcrypt-ssleay-perl, libwww-perl, unzip, xz-utils]
   - uupdate: integrate upstream changes into a source package [patch]
-  - what-patch: determines what patch system, if any, a source package is using
+  - what-patch: determine what patch system, if any, a source package is using
     [patchutils]
   - whodepends: check which maintainers' packages depend on a package
   - who-uploads: determine the most recent uploaders of a package to the Debian

## devscripts 2.11.1ubuntu3

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
 Uploaders: Julian Gilbey <jdg@debian.org>,
            Joey Hess <joeyh@debian.org>,
            Mohammed Adnène Trojette <adn+deb@diwi.org>,
@@ -33,8 +34,8 @@
                python-unittest2,
                xsltproc
 X-Python-Version: >= 2.6
-Vcs-Browser: http://git.debian.org/?p=devscripts/devscripts.git
-Vcs-Git: git://git.debian.org/devscripts/devscripts.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=devscripts/devscripts.git
+XS-Debian-Vcs-Git: git://git.debian.org/devscripts/devscripts.git
 
 Package: devscripts
 Architecture: any
@@ -46,16 +47,11 @@
 Recommends: at,
             curl | wget,
             dctrl-tools,
-            debian-keyring,
-            debian-maintainers,
             dput | dupload,
-            equivs,
             fakeroot,
             gnupg,
-            libcrypt-ssleay-perl,
             libjson-perl,
             libparse-debcontrol-perl,
-            libsoap-lite-perl,
             liburi-perl,
             libwww-perl,
             lintian,
@@ -72,11 +68,15 @@
 Suggests: bsd-mailx | mailx,
           build-essential,
           cvs-buildpackage,
+          debian-keyring,
           devscripts-el,
+          equivs,
           gnuplot,
           libauthen-sasl-perl,
+          libcrypt-ssleay-perl,
           libfile-desktopentry-perl,
           libnet-smtp-ssl-perl,
+          libsoap-lite-perl,
           libterm-size-perl,
           libtimedate-perl,
           libyaml-syck-perl,

## devscripts 2.11.2

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
+Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
 Uploaders: Julian Gilbey <jdg@debian.org>,
            Joey Hess <joeyh@debian.org>,
            Mohammed Adnène Trojette <adn+deb@diwi.org>,
            Christoph Berg <myon@debian.org>,
            Stefano Zacchiroli <zack@debian.org>,
-           James Vega <jamessan@debian.org>,
+           James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Adam D. Barratt <adam@adam-barratt.org.uk>,
            Luk Claes <luk@debian.org>,
@@ -34,8 +33,8 @@
                python-unittest2,
                xsltproc
 X-Python-Version: >= 2.6
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=devscripts/devscripts.git
-XS-Debian-Vcs-Git: git://git.debian.org/devscripts/devscripts.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git
+Vcs-Git: git://anonscm.debian.org/devscripts/devscripts.git
 
 Package: devscripts
 Architecture: any
@@ -47,11 +46,15 @@
 Recommends: at,
             curl | wget,
             dctrl-tools,
+            debian-keyring,
             dput | dupload,
+            equivs,
             fakeroot,
             gnupg,
+            libcrypt-ssleay-perl,
             libjson-perl,
             libparse-debcontrol-perl,
+            libsoap-lite-perl,
             liburi-perl,
             libwww-perl,
             lintian,
@@ -68,15 +71,11 @@
 Suggests: bsd-mailx | mailx,
           build-essential,
           cvs-buildpackage,
-          debian-keyring,
           devscripts-el,
-          equivs,
           gnuplot,
           libauthen-sasl-perl,
-          libcrypt-ssleay-perl,
           libfile-desktopentry-perl,
           libnet-smtp-ssl-perl,
-          libsoap-lite-perl,
           libterm-size-perl,
           libtimedate-perl,
           libyaml-syck-perl,
@@ -142,6 +141,7 @@
     lintian, gnupg]
   - deb-reversion: increases a binary package version number and repacks the
     archive
+  - dep3changelog: generate a changelog entry from a DEP3-style patch header
   - desktop2menu: produce a skeleton menu file from a freedesktop.org
     desktop file [libfile-desktopentry-perl]
   - dget: downloads Debian source and binary packages [wget | curl]
@@ -192,7 +192,7 @@
     [patchutils]
   - whodepends: check which maintainers' packages depend on a package
   - who-uploads: determine the most recent uploaders of a package to the Debian
-    archive [gnupg, debian-keyring, debian-maintainers, wget]
+    archive [gnupg, debian-keyring, wget]
   - wnpp-alert: list installed packages which are orphaned or up for
     adoption [wget]
   - wnpp-check: check whether there is an open request for packaging or

## devscripts 2.11.3

=== test/Makefile ===
test:

.PHONY: test

## devscripts 2.11.6~ybp60+1

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
            Patrick Schoenfeld <schoenfeld@debian.org>,
            Ryan Niebur <ryanryan52@gmail.com>,
            Benjamin Drung <bdrung@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 8),
                docbook-xsl,
                libfile-desktopentry-perl,

## devscripts 2.11.6ubuntu1.4

=== Makefile ===
# Simplified Makefile for devscripts

include Makefile.common

DESTDIR =

PERL_MODULES = Devscripts
EXAMPLES = conf.default

PREFIX ?= /usr
DOCDIR ?= $(PREFIX)/share/doc/devscripts
MAN1DIR ?= $(PREFIX)/share/man/man1

all: version make_scripts $(EXAMPLES) translated_manpages

version:
	rm -f version
	dpkg-parsechangelog | perl -ne '/^Version: (.*)/ && print $$1' \
	    > version

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

translated_manpages:
	$(MAKE) -C po4a/
	touch translated_manpages

clean_translated_manpages:
	# Update the POT/POs and remove the translated man pages
	$(MAKE) -C po4a/ clean
	rm -f translated_manpages

clean: clean_scripts clean_translated_manpages
	rm -f version conf.default make_scripts

test: test_test test_scripts

install: all install_scripts
	cp -a $(PERL_MODULES) $(DESTDIR)$(PERLMOD_DIR)
	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)
	install -D README $(DESTDIR)$(DOCDIR)/README
	install -dD $(DESTDIR)$(MAN1DIR)
	cp doc/*.1 $(DESTDIR)$(MAN1DIR)
	ln -sf edit-patch.1 $(DESTDIR)$(MAN1DIR)/add-patch.1

test_test:
	$(MAKE) -C test/ test

make_scripts: version
	$(MAKE) -C scripts/
	touch $@
clean_scripts: clean_translated_manpages
	$(MAKE) -C scripts/ clean
test_scripts:
	$(MAKE) -C scripts/ test
install_scripts:
	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)

.PHONY: test

=== po4a/Makefile ===
include ../Makefile.common
GEN_TR_MAN1S := $(patsubst %.1,fr/%.fr.1,$(GEN_MAN1S))

all: translate
# GEN_TR_MAN1S needs translate finished, serialize the calls
	@$(MAKE) -C . transform
transform: $(GEN_TR_MAN1S)

translate: ../scripts/devscripts.1
	po4a --previous --no-backups devscripts-po4a.conf
	touch translate

clean: ../scripts/devscripts.1
	po4a --previous --rm-translations --no-backups devscripts-po4a.conf
	rm -f $(GEN_TR_MAN1S) translate

../scripts/devscripts.1:
	# po4a translate and clean need ../scripts/devscripts.1, rebuild it
	$(MAKE) -C ../scripts/ devscripts.1

fr/%.fr.1: fr/%.fr.pl translate
	podchecker $<
	pod2man --utf8 --center=" " --release="Utilitaires Debian" $< > $@
fr/%.fr.1: fr/%.fr.dbk translate
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
# xsltproc writes out to foo.1 even if you tell it to do otherwise, so we have
# to rename the file after it's generated
	mv fr/$*.1 $@

=== scripts/Makefile ===
--- 
+++ 
@@ -27,8 +27,7 @@
 all: $(SCRIPTS) $(GEN_MAN1S) $(LIBS) $(CWRAPPERS) $(COMPLETION)
 
 $(VERSION_FILE):
-	@echo "You need to 'make' the toplevel directory first"
-	@false
+	$(MAKE) -C .. version
 
 %: %.sh
 
@@ -53,7 +52,7 @@
 # from ../po4a/Makefile. Treat files with care.
 PID := $(shell echo $$$$-$$PPID)
 devscripts.1: devscripts.1.in
-	cat $+ > $@.$(PID)
+	cat $< > $@.$(PID)
 	perl ../debian/genmanpage.pl >> $@.$(PID)
 	mv $@.$(PID) $@

=== test/Makefile ===
test:
	chmod +x debchange.pl ../scripts/debchange.pl
	PERL5LIB=.. ./debchange.pl

.PHONY: test

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
 Uploaders: Julian Gilbey <jdg@debian.org>,
            Joey Hess <joeyh@debian.org>,
            Mohammed Adnène Trojette <adn+deb@diwi.org>,
@@ -33,8 +34,8 @@
                python-unittest2,
                xsltproc
 X-Python-Version: >= 2.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git
-Vcs-Git: git://anonscm.debian.org/devscripts/devscripts.git
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/devscripts/devscripts.git
 
 Package: devscripts
 Architecture: any
@@ -46,15 +47,11 @@
 Recommends: at,
             curl | wget,
             dctrl-tools,
-            debian-keyring,
             dput | dupload,
-            equivs,
             fakeroot,
             gnupg,
-            libcrypt-ssleay-perl,
             libjson-perl,
             libparse-debcontrol-perl,
-            libsoap-lite-perl,
             liburi-perl,
             libwww-perl,
             lintian,
@@ -71,11 +68,15 @@
 Suggests: bsd-mailx | mailx,
           build-essential,
           cvs-buildpackage,
+          debian-keyring,
           devscripts-el,
+          equivs,
           gnuplot,
           libauthen-sasl-perl,
+          libcrypt-ssleay-perl,
           libfile-desktopentry-perl,
           libnet-smtp-ssl-perl,
+          libsoap-lite-perl,
           libterm-size-perl,
           libtimedate-perl,
           libyaml-syck-perl,

## devscripts 2.12.4~bpo60%2B1

=== scripts/Makefile ===
--- 
+++ 
@@ -13,6 +13,10 @@
 PL_FILES := $(wildcard *.pl)
 SH_FILES = $(wildcard *.sh)
 LIBS = libvfork.so.0
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS += -std=c99
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 CWRAPPERS = debpkg-wrapper
 SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
 COMPL_FILES := $(wildcard *.bash_completion)
@@ -30,6 +34,17 @@
 	$(MAKE) -C .. version
 
 %: %.sh
+
+debchange: debchange.pl $(VERSION_FILE)
+	cp $< $@
+	sed -i "s/###VERSION###/$(VERSION)/" $@
+ifeq ($(shell dpkg-vendor --query Vendor),Ubuntu)
+# On Ubuntu always default to targeting the release that it's run from,
+# not the current devel release, since its primary use on stable releases
+# will be for preparing PPA uploads.
+	sed -i 's/get_ubuntu_devel_distro()/"$(shell lsb_release -cs)"/' $@
+endif
+	perl -I.. -c $@
 
 %.tmp: %.sh $(VERSION_FILE)
 	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
@@ -60,9 +75,9 @@
 	cp $< $@
 
 libvfork.o: libvfork.c
-	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -D_REENTRANT -c $<
 libvfork.so.0: libvfork.o
-	$(CC) -shared $< -lc -Wl,-soname -Wl,libvfork.so.0 -o $@
+	$(CC) $(LDFLAGS) -shared $< -lc -Wl,-soname -Wl,libvfork.so.0 -o $@
 
 clean:
 	python setup.py clean -a

## devscripts 2.12.4~bpo60+1

=== po4a/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 transform: $(GEN_TR_MAN1S)
 
 translate: ../scripts/devscripts.1
-	po4a --previous --no-backups devscripts-po4a.conf
+	po4a --previous --no-backups --keep=0 devscripts-po4a.conf
 	touch translate
 
 clean: ../scripts/devscripts.1

=== test/Makefile ===
test:
	./test_checkbashisms
	./test_dd-list
	./test_debchange
	./test_licensecheck

online-test:
	./test_uscan

.PHONY: test online-test

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
+Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>,
-           Joey Hess <joeyh@debian.org>,
            Mohammed Adnène Trojette <adn+deb@diwi.org>,
            Christoph Berg <myon@debian.org>,
            Stefano Zacchiroli <zack@debian.org>,
@@ -18,12 +16,14 @@
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 8),
                docbook-xsl,
+               libdistro-info-perl,
                libfile-desktopentry-perl,
                libjson-perl,
                libterm-size-perl,
                libtimedate-perl,
                liburi-perl,
                libwww-perl,
+               lsb-release,
                perl,
                po4a (>= 0.40),
                pylint,
@@ -32,10 +32,11 @@
                python-magic,
                python-setuptools,
                python-unittest2,
+               shunit2 (>= 2.1.6),
                xsltproc
 X-Python-Version: >= 2.6
-XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git
-XS-Debian-Vcs-Git: git://anonscm.debian.org/devscripts/devscripts.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git
+Vcs-Git: git://anonscm.debian.org/devscripts/devscripts.git
 
 Package: devscripts
 Architecture: any
@@ -50,6 +51,7 @@
             dput | dupload,
             fakeroot,
             gnupg,
+            libdistro-info-perl,
             libjson-perl,
             libparse-debcontrol-perl,
             liburi-perl,
@@ -64,26 +66,24 @@
             strace,
             unzip,
             wdiff,
-            xz-utils
+            xz-utils,
+            ${vendor:Recommends}
 Suggests: bsd-mailx | mailx,
           build-essential,
           cvs-buildpackage,
-          debian-keyring,
           devscripts-el,
-          equivs,
           gnuplot,
           libauthen-sasl-perl,
-          libcrypt-ssleay-perl,
           libfile-desktopentry-perl,
           libnet-smtp-ssl-perl,
-          libsoap-lite-perl,
           libterm-size-perl,
           libtimedate-perl,
           libyaml-syck-perl,
           mutt,
           ssh-client,
           svn-buildpackage,
-          w3m
+          w3m,
+          ${vendor:Suggests}
 Breaks: ubuntu-dev-tools (<< 0.124~)
 Replaces: ubuntu-dev-tools (<< 0.124~)
 Description: scripts to make the life of a Debian Package maintainer easier

## devscripts 2.12.4ubuntu0.1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>,
            Mohammed Adnène Trojette <adn+deb@diwi.org>,
            Christoph Berg <myon@debian.org>,

## devscripts 2.12.6ubuntu3

=== debian/control ===
--- 
+++ 
@@ -29,13 +29,14 @@
                po4a (>= 0.40),
                pylint,
                python-all,
-               python-debian (>= 0.1.15),
-               python-magic,
-               python-setuptools,
-               python-unittest2,
+               python3-all,
+               python3-debian (>= 0.1.15),
+               python3-magic,
+               python3-setuptools,
                shunit2 (>= 2.1.6),
                xsltproc
 X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git
 Vcs-Git: git://anonscm.debian.org/devscripts/devscripts.git
 
@@ -44,6 +45,7 @@
 Depends: dpkg-dev (>= 1.15.4.1),
          ${misc:Depends},
          ${perl:Depends},
+         ${python3:Depends},
          ${python:Depends},
          ${shlibs:Depends}
 Recommends: at,
@@ -61,8 +63,8 @@
             man-db,
             patch,
             patchutils,
-            python-debian (>= 0.1.15),
-            python-magic,
+            python3-debian (>= 0.1.15),
+            python3-magic,
             sensible-utils,
             strace,
             unzip,
@@ -180,7 +182,7 @@
   - rmadison: remotely query the Debian archive database about packages
     [wget | curl, liburi-perl]
   - suspicious-source: output a list of files which are not common source
-    files [python-magic]
+    files [python3-magic]
   - svnpath: print svn repository paths [subversion]
   - tagpending: runs from a Debian source tree and tags bugs that are to
     be closed in the latest changelog as pending. [libsoap-lite-perl]
@@ -200,7 +202,7 @@
   - wnpp-check: check whether there is an open request for packaging or
     intention to package bug for a package [wget]
   - wrap-and-sort: wrap long lines and sort items in packaging files
-    [python-debian]
+    [python3-debian]
  .
  Also included are a set of example mail filters for filtering mail
  from Debian mailing lists using exim, procmail, etc.

## devscripts 2.12.6+deb7u2

=== po4a/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 include ../Makefile.common
 GEN_TR_MAN1S := $(patsubst %.1,fr/%.fr.1,$(GEN_MAN1S))
+GEN_TR_MAN1S += $(patsubst %.1,de/%.de.1,$(GEN_MAN1S))
 
 all: translate
 # GEN_TR_MAN1S needs translate finished, serialize the calls
@@ -18,6 +19,16 @@
 	# po4a translate and clean need ../scripts/devscripts.1, rebuild it
 	$(MAKE) -C ../scripts/ devscripts.1
 
+de/%.de.1: de/%.de.pl translate
+	podchecker $<
+	pod2man --utf8 --center=" " --release="Debian-Hilfswerkzeuge" $< > $@
+de/%.de.1: de/%.de.dbk translate
+	xsltproc --nonet -o $@ \
+	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
+# xsltproc writes out to foo.1 even if you tell it to do otherwise, so we have
+# to rename the file after it's generated
+	mv de/$*.1 $@
+
 fr/%.fr.1: fr/%.fr.pl translate
 	podchecker $<
 	pod2man --utf8 --center=" " --release="Utilitaires Debian" $< > $@

=== debian/rules ===
#!/usr/bin/make -f

UBU_SUGGESTS=debian-keyring, equivs, libcrypt-ssleay-perl, libsoap-lite-perl

%:
	dh $@ --with python2

override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
	dh_gencontrol -- -V'vendor:Suggests=$(UBU_SUGGESTS)' -V'vendor:Recommends='
else
	dh_gencontrol -- -V'vendor:Suggests=' -V'vendor:Recommends=$(UBU_SUGGESTS)'
endif

## devscripts 2.13.0ubuntu1

=== scripts/Makefile ===
--- 
+++ 
@@ -80,7 +80,7 @@
 	$(CC) $(LDFLAGS) -shared $< -lc -Wl,-soname -Wl,libvfork.so.0 -o $@
 
 clean:
-	python setup.py clean -a
+	python3 setup.py clean -a
 	find -name '*.pyc' -delete
 	rm -rf devscripts.egg-info
 	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
@@ -88,10 +88,10 @@
 		libvfork.o libvfork.so.0 $(COMPLETION)
 
 test:
-	$(foreach python,$(shell pyversions -r ../debian/control),$(python) setup.py test$(\n))
+	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))
 
 install: all
-	python setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
+	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
 	install -dD $(DESTDIR)$(BINDIR) $(DESTDIR)$(LIBDIR)
 	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
 	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch

=== test/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 test:
+	./test_annotate-output
 	./test_checkbashisms
 	./test_dd-list
 	./test_debchange

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
            Patrick Schoenfeld <schoenfeld@debian.org>,
            Ryan Niebur <ryanryan52@gmail.com>,
            Benjamin Drung <bdrung@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 8),
                docbook-xsl,
                libdistro-info-perl,
@@ -36,12 +36,13 @@
                shunit2 (>= 2.1.6),
                xsltproc
 X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+XS-Testsuite: autopkgtest
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git
 Vcs-Git: git://anonscm.debian.org/devscripts/devscripts.git
 
 Package: devscripts
 Architecture: any
+Multi-Arch: foreign
 Depends: dpkg-dev (>= 1.15.4.1),
          ${misc:Depends},
          ${perl:Depends},
@@ -49,7 +50,6 @@
          ${python:Depends},
          ${shlibs:Depends}
 Recommends: at,
-            curl | wget,
             dctrl-tools,
             dput | dupload,
             fakeroot,
@@ -69,6 +69,7 @@
             strace,
             unzip,
             wdiff,
+            wget | curl,
             xz-utils,
             ${vendor:Recommends}
 Suggests: bsd-mailx | mailx,
@@ -99,8 +100,8 @@
   - bts: a command-line tool for manipulating the BTS [www-browser,
     libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, libwww-perl,
     bsd-mailx | mailx]
-  - build-rdeps: Searches for all packages that build-depend on a
-    given package [dctrl-tools]
+  - build-rdeps: search for all packages that build-depend on a given package
+    [dctrl-tools]
   - chdist: tool to easily play with several distributions [dctrl-tools]
   - checkbashisms: check whether a /bin/sh script contains any common
     bash-specific contructs
@@ -108,26 +109,26 @@
     optionally also signing and uploading the result to an incoming queue
     [ssh-client]
   - cvs-debi, cvs-debc: wrappers around debi and debc respectively (see below)
-    which allow them to be called from the CVS working directory.
+    which allow them to be called from the CVS working directory
     [cvs-buildpackage]
   - cvs-debrelease: wrapper around debrelease which allows it to be called
-    from the CVS working directory. [cvs-buildpackage, dupload | dput,
+    from the CVS working directory [cvs-buildpackage, dupload | dput,
     ssh-client]
-  - cvs-debuild: A wrapper for cvs-buildpackage to use debuild as its package
-    building program. [cvs-buildpackage, fakeroot, lintian, gnupg]
+  - cvs-debuild: wrapper for cvs-buildpackage to use debuild as its package
+    building program [cvs-buildpackage, fakeroot, lintian, gnupg]
   - dcmd: run a given command replacing the name of a .changes or .dsc file
     with each of the files referenced therein
   - dcontrol: remotely query package and source control files for all Debian
-    distributions. [liburl-perl, libwww-perl]
+    distributions [liburl-perl, libwww-perl]
   - dd-list: given a list of packages, pretty-print it ordered by maintainer
   - debc: display the contents of just-built .debs
   - debchange/dch: automagically add entries to debian/changelog files
     [libparse-debcontrol-perl, libsoap-lite-perl]
   - debcheckout: checkout the development repository of a Debian package
-  - debclean: purge a Debian source tree [fakeroot]
+  - debclean: clean a Debian source tree [fakeroot]
   - debcommit: commit changes to cvs, darcs, svn, svk, tla, bzr, git, or hg,
-    basing commit message on changelog
-    [cvs | darcs | subversion | svk | tla | bzr | git-core | mercurial]
+    basing commit message on changelog [cvs | darcs | subversion | svk | tla |
+    bzr | git-core | mercurial, libtimedate-perl]
   - debdiff: compare two versions of a Debian package to check for
     added and removed files [wdiff, patchutils]
   - debi: install a just-built package
@@ -141,19 +142,18 @@
     libjson-perl]
   - debuild: wrapper to build a package without having to su or worry
     about how to invoke dpkg to build using fakeroot.  Also deals
-    with common environment problems, umask etc. [fakeroot,
-    lintian, gnupg]
-  - deb-reversion: increases a binary package version number and repacks the
-    archive
+    with common environment problems, umask etc. [fakeroot, lintian, gnupg]
+  - deb-reversion: increase a binary package version number and repacks the
+    package, useful for porters and the like
   - dep3changelog: generate a changelog entry from a DEP3-style patch header
-  - desktop2menu: produce a skeleton menu file from a freedesktop.org
-    desktop file [libfile-desktopentry-perl]
-  - dget: downloads Debian source and binary packages [wget | curl]
+  - desktop2menu: given a freedesktop.org desktop file, generate a skeleton
+    for a menu file [libfile-desktopentry-perl]
+  - dget: download Debian source and binary packages [wget | curl]
+  - diff2patches: extract patches from a .diff.gz file placing them under
+    debian/ or, if present, debian/patches [patchutils]
   - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
     the build of a Debian package; useful for determining the Build-Depends
     control field needed [build-essential, strace]
-  - diff2patches: extract patches from a .diff.gz file placing them  under
-    debian/ or, if present, debian/patches [patchutils]
   - dscextract: extract a single file from a Debian source package [patchutils]
   - dscverify: verify the integrity of a Debian package from the
     .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
@@ -163,44 +163,47 @@
   - grep-excuses: grep the update_excuses.html file for your packages
     [libterm-size-perl, wget, w3m]
   - licensecheck: attempt to determine the license of source files
-  - list-unreleased: searches for unreleased packages
+  - list-unreleased: search for unreleased packages
   - manpage-alert: locate binaries without corresponding manpages [man-db]
   - mass-bug: mass-file bug reports [bsd-mailx | mailx]
-  - mergechanges: merge .changes files from a package built on different
-    architectures
-  - mk-build-deps: Given a package name and/or control file, generate a binary
+  - mergechanges: merge .changes files from the same release but built
+    on different architectures
+  - mk-build-deps: given a package name and/or control file, generate a binary
     package which may be installed to satisfy the build-dependencies of the
-    given packages. [equivs]
-  - namecheck: Check project names are not already taken.
+    given package [equivs]
+  - namecheck: check project names are not already taken
   - nmudiff: mail a diff of the current package against the previous version
     to the BTS to assist in tracking NMUs [patchutils, mutt]
+  - origtargz: fetch the orig tarball of a Debian package from various sources,
+    and unpack it
   - plotchangelog: view a nice plot of the data in a changelog file
     [libtimedate-perl, gnuplot]
   - pts-subscribe: subscribe to the PTS for a limited period of time
     [bsd-mailx | mailx, at]
-  - rc-alert: list installed packages which have release-critical bugs [wget]
+  - rc-alert: list installed packages which have release-critical bugs
+    [wget | curl]
   - rmadison: remotely query the Debian archive database about packages
-    [wget | curl, liburi-perl]
+    [liburi-perl, wget | curl]
   - suspicious-source: output a list of files which are not common source
     files [python3-magic]
-  - svnpath: print svn repository paths [subversion]
-  - tagpending: runs from a Debian source tree and tags bugs that are to
-    be closed in the latest changelog as pending. [libsoap-lite-perl]
-  - transition-check: Check a list of source packages for involvement in
+  - svnpath: print Subversion repository paths [subversion]
+  - tagpending: run from a Debian source tree and tag bugs that are to be
+    closed in the latest changelog as pending [libsoap-lite-perl]
+  - transition-check: check a list of source packages for involvement in
     transitions for which uploads to unstable are currently blocked
     [libwww-perl, libyaml-syck-perl]
   - uscan: scan upstream sites for new releases of packages
-    [libcrypt-ssleay-perl, libwww-perl, unzip, xz-utils]
+    [libcrypt-ssleay-perl, libwww-perl, unzip, lzma, xz-utils]
   - uupdate: integrate upstream changes into a source package [patch]
   - what-patch: determine what patch system, if any, a source package is using
     [patchutils]
   - whodepends: check which maintainers' packages depend on a package
   - who-uploads: determine the most recent uploaders of a package to the Debian
-    archive [gnupg, debian-keyring, wget]
-  - wnpp-alert: list installed packages which are orphaned or up for
-    adoption [wget]
+    archive [gnupg, debian-keyring, debian-maintainers, wget]
+  - wnpp-alert: list installed packages which are orphaned or up for adoption
+    [wget | curl]
   - wnpp-check: check whether there is an open request for packaging or
-    intention to package bug for a package [wget]
+    intention to package bug for a package [wget | curl]
   - wrap-and-sort: wrap long lines and sort items in packaging files
     [python3-debian]
  .

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 UBU_SUGGESTS=debian-keyring, equivs, libcrypt-ssleay-perl, libsoap-lite-perl
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3
 
 override_dh_gencontrol:
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
@@ -11,3 +11,8 @@
 else
 	dh_gencontrol -- -V'vendor:Suggests=' -V'vendor:Recommends=$(UBU_SUGGESTS)'
 endif
+
+override_dh_install:
+	dh_install
+	rm -rf debian/devscripts/usr/lib/python2.7/dist-packages/devscripts/__pycache__/
+	rm -rf debian/devscripts/usr/lib/python2.7/dist-packages/devscripts/test/__pycache__/

## devscripts 2.13.1

=== po4a/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 clean: ../scripts/devscripts.1
 	po4a --previous --rm-translations --no-backups devscripts-po4a.conf
 	rm -f $(GEN_TR_MAN1S) translate
+	rm -rf de fr
 
 ../scripts/devscripts.1:
 	# po4a translate and clean need ../scripts/devscripts.1, rebuild it

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,14 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
-Uploaders: Julian Gilbey <jdg@debian.org>,
-           Mohammed Adnène Trojette <adn+deb@diwi.org>,
-           Christoph Berg <myon@debian.org>,
-           Stefano Zacchiroli <zack@debian.org>,
-           James McCoy <jamessan@debian.org>,
+Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
-           Adam D. Barratt <adam@adam-barratt.org.uk>,
-           Luk Claes <luk@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,
            Ryan Niebur <ryanryan52@gmail.com>,
            Benjamin Drung <bdrung@debian.org>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                docbook-xsl,
                libdistro-info-perl,
                libfile-desktopentry-perl,
@@ -28,17 +21,16 @@
                perl,
                po4a (>= 0.40),
                pylint,
-               python-all,
                python3-all,
                python3-debian (>= 0.1.15),
                python3-magic,
                python3-setuptools,
                shunit2 (>= 2.1.6),
+               wdiff,
                xsltproc
-X-Python-Version: >= 2.6
 XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git
-Vcs-Git: git://anonscm.debian.org/devscripts/devscripts.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/devscripts.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/devscripts.git
 
 Package: devscripts
 Architecture: any
@@ -47,7 +39,6 @@
          ${misc:Depends},
          ${perl:Depends},
          ${python3:Depends},
-         ${python:Depends},
          ${shlibs:Depends}
 Recommends: at,
             dctrl-tools,
@@ -88,7 +79,7 @@
           svn-buildpackage,
           w3m,
           ${vendor:Suggests}
-Breaks: ubuntu-dev-tools (<< 0.124~)
+Breaks: ubuntu-dev-tools (<< 0.147~)
 Replaces: ubuntu-dev-tools (<< 0.124~)
 Description: scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in

=== debian/tests/control ===
Tests: shunit2
Depends: devscripts, shunit2

## devscripts 2.13.1ubuntu0.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DESTDIR =
 
 PERL_MODULES = Devscripts
-EXAMPLES = conf.default
+EXAMPLES = conf.default README.mk-build-deps
 
 PREFIX ?= /usr
 DOCDIR ?= $(PREFIX)/share/doc/devscripts
@@ -35,6 +35,9 @@
 clean: clean_scripts clean_translated_manpages
 	rm -f version conf.default make_scripts
 
+online-test:
+	$(MAKE) -C test/ online-test
+
 test: test_test test_scripts
 
 install: all install_scripts
@@ -58,4 +61,4 @@
 install_scripts:
 	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)
 
-.PHONY: test
+.PHONY: online-test test

=== scripts/Makefile ===
--- 
+++ 
@@ -82,6 +82,7 @@
 clean:
 	python3 setup.py clean -a
 	find -name '*.pyc' -delete
+	find -name __pycache__ -delete
 	rm -rf devscripts.egg-info
 	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
 		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS) \

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,
